# `vaporget`

`vaporget` allows to easily retrieve and listen to `v a p o r w a v e` music stored in the Vaporwave Library Project (specifically, in the clone at https://vaporwave.ivan.moe/, thanks to Ivan Moe).

## Required software
`vaporget` is a `POSIX` `sh` script and requires that the following software is installed on the user's computer:
* `sed`
* `grep`
* `xargs`
* [`wget`](https://www.gnu.org/software/wget/)
* [`dialog`](https://invisible-island.net/dialog/)
* [`mpv`](https://mpv.io/)

Tested on `GNU/Linux`, expected to work on every system with a `POSIX` Shell and required software.

## Usage
After launching the script, if the connection with the music library succeeds a menu with a list of artists will appear.
Select the artists you want to listen to (with the spacebar) and then press enter.
`mpv` will fetch the music and reproduce it.

To pass options (both long and short) directly to `mpv`, use `-m "[mpv_option_1],[mpv_option_2],..."`.
For example to pass `mpv` options `--shuffle`, `--start=50%` and `-v` use:
```
vaporget -m "shuffle,start=50%,v"
```
See `MPV(1)` for command line options and interactive use of the music player.
